RepositoryDescriptor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.event
Class RepositoryDescriptor

    java.lang.Object
      org.dvb.event.RepositoryDescriptor

All Implemented Interfaces:
  ResourceProxy

Direct Known Subclasses:
  UserEventRepository

    public class RepositoryDescriptor

extends Object
implements ResourceProxy

An instance of this class will be sent to clients of the DVB event API to notify them (through the interface org.davic.resources.ResourceClient) when they are about to lose, or have lost, access to an event source. This object can be used by the application to get the name of the repository from which it will no longer be able to receive events. All instances of RepositoryDescriptor are also instances of UserEventRepository. This class is preserved for backwards compatibility with existing applications.

Method Summary
`ResourceClient` | `getClient()` Return the object which asked to be notified about withdrawal of the event source.
`String` | `getName()` Returns the name of the repository to which the lost, or about to be lost, user event belongs.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public String getName()

  Returns the name of the repository to which the lost, or about to be lost, user event belongs.

  Returns:
    String the name of the repository.

### getClient

    public ResourceClient getClient()

  Return the object which asked to be notified about withdrawal of the event source. This is the object passed as the `ResoourceClient` to whichever of the various 'add' methods on EventManager was used by the application to express interest in this repository.

  Specified by:
    `getClient` in interface `ResourceProxy`
  Returns:
    the object which asked to be notified about withdrawal of the event source. If the `UserEventRepository` has not yet been added to an `EventManager` then null shall be returned. Once the `UserEventRepository` has been added, the last used `ResourceClient` shall be returned even if the `UserEventRepository` has been since removed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD